summaryrefslogtreecommitdiffstats
path: root/games/Mindustry
diff options
context:
space:
mode:
Diffstat (limited to 'games/Mindustry')
-rw-r--r--games/Mindustry/Mindustry.SlackBuild129
-rw-r--r--games/Mindustry/Mindustry.info12
-rw-r--r--games/Mindustry/Mindustry.pngbin0 -> 13869 bytes
-rw-r--r--games/Mindustry/README10
-rw-r--r--games/Mindustry/doinst.sh9
-rw-r--r--games/Mindustry/slack-desc19
6 files changed, 179 insertions, 0 deletions
diff --git a/games/Mindustry/Mindustry.SlackBuild b/games/Mindustry/Mindustry.SlackBuild
new file mode 100644
index 0000000000..cb88e69d20
--- /dev/null
+++ b/games/Mindustry/Mindustry.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/bash
+
+# Slackware build script for Mindustry
+
+# Copyright 2023 Yth | Pont-en-Royans, France | yth@ythogtha.org
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=Mindustry
+VERSION=${VERSION:-146}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SERVER=${SERVER:-yes}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+mkdir -p $PKG/usr/share/{$PRGNAM,applications} \
+ $PKG/usr/games
+install -m 644 $CWD/$PRGNAM.jar \
+ $PKG/usr/share/$PRGNAM
+install -m 644 $CWD/$PRGNAM.png \
+ $PKG/usr/share/$PRGNAM/$PRGNAM.png
+
+# Create destop entry
+cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
+[Desktop Entry]
+Name=Mindustry
+Comment=The automation tower defense RTS, written in Java
+Exec=$PRGNAM
+Icon=/usr/share/$PRGNAM/$PRGNAM.png
+Type=Application
+Path=/usr/share/$PRGNAM
+Categories=Game;StrategyGame;
+EOF
+
+# Create launcher
+cat > $PKG/usr/games/$PRGNAM << EOF
+#!/bin/sh
+
+java -jar /usr/share/$PRGNAM/$PRGNAM.jar
+
+EOF
+chmod 755 $PKG/usr/games/$PRGNAM
+
+if [ "$SERVER" = "yes" ]; then
+ install -m 644 $CWD/server-release.jar \
+ $PKG/usr/share/$PRGNAM/$PRGNAM-server.jar
+ # Create destop entry
+ cat > $PKG/usr/share/applications/$PRGNAM-server.desktop <<EOF
+[Desktop Entry]
+Name=Mindustry Server
+Comment=Server for the automation tower defense RTS
+Exec=$PRGNAM-server
+Icon=/usr/share/$PRGNAM/$PRGNAM.png
+Type=Application
+Path=/usr/share/$PRGNAM
+Categories=Game;StrategyGame;
+EOF
+
+ # Create launcher
+ cat > $PKG/usr/games/$PRGNAM-server << EOF
+#!/bin/sh
+
+java -jar /usr/share/$PRGNAM/$PRGNAM-server.jar
+
+EOF
+ chmod 755 $PKG/usr/games/$PRGNAM-server
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/Mindustry/Mindustry.info b/games/Mindustry/Mindustry.info
new file mode 100644
index 0000000000..653ea3cbb9
--- /dev/null
+++ b/games/Mindustry/Mindustry.info
@@ -0,0 +1,12 @@
+PRGNAM="Mindustry"
+VERSION="146"
+HOMEPAGE="https://mindustrygame.github.io/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/Anuken/Mindustry/releases/download/v146/Mindustry.jar \
+ https://github.com/Anuken/Mindustry/releases/download/v146/server-release.jar"
+MD5SUM_x86_64="26193b0d3bad4bc84e044cce19a456d7 \
+ 7ddf0531d6abc46b4b8c978860179020"
+REQUIRES="zulu-openjdk17"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/games/Mindustry/Mindustry.png b/games/Mindustry/Mindustry.png
new file mode 100644
index 0000000000..a67eae01f3
--- /dev/null
+++ b/games/Mindustry/Mindustry.png
Binary files differ
diff --git a/games/Mindustry/README b/games/Mindustry/README
new file mode 100644
index 0000000000..bea29d8016
--- /dev/null
+++ b/games/Mindustry/README
@@ -0,0 +1,10 @@
+Mindustry is a hybrid tower-defense sandbox factory game.
+Create elaborate supply chains of conveyor belts to feed ammo into
+your turrets, produce materials to use for building, and defend your
+structures from waves of enemies.
+
+Features include a map editor, 24 built-in maps, cross-platform
+multiplayer and large-scale PvP unit battles.
+
+Java 17 minimum is required to build.
+This does *not* build offline.
diff --git a/games/Mindustry/doinst.sh b/games/Mindustry/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/games/Mindustry/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/Mindustry/slack-desc b/games/Mindustry/slack-desc
new file mode 100644
index 0000000000..0f32a34817
--- /dev/null
+++ b/games/Mindustry/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Mindustry: Mindustry (hybrid tower-defense sandbox factory game)
+Mindustry:
+Mindustry: Create elaborate supply chains of conveyor belts to feed ammo into
+Mindustry: your turrets, produce materials to use for building, and defend your
+Mindustry: structures from waves of enemies.
+Mindustry:
+Mindustry: Features include a map editor, 24 built-in maps, cross-platform
+Mindustry: multiplayer and large-scale PvP unit battles.
+Mindustry:
+Mindustry: https://anuke.itch.io/mindustry
+Mindustry: